List Kubernetes clusters
To list all Kubernetes clusters, perform a GET request to /v1/kubernetes_clusters.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
location_id? | integerMin: A unique identifier of a location. A request to list all the location IDs is described in the Location section. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/kubernetes_clusters"[ { "id": "4zbq2Rdp", "name": "k8s-cluster", "status": "pending", "location_id": 1774, "location_code": "location3651", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2026-05-28T07:06:41Z", "updated_at": "2026-05-28T07:06:41Z" }, { "id": "MYerYkdO", "name": "k8s-cluster", "status": "pending", "location_id": 1774, "location_code": "location3651", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2026-05-28T07:06:41Z", "updated_at": "2026-05-28T07:06:41Z" }]